#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SearchUsersLimitExceeded {
    #[serde(rename = "requestedLimit")]
    requested_limit: i32,
    #[serde(rename = "allowedLimit")]
    allowed_limit: i32,
}
impl SearchUsersLimitExceeded {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(requested_limit: i32, allowed_limit: i32) -> Self {
        Self::builder()
            .requested_limit(requested_limit)
            .allowed_limit(allowed_limit)
            .build()
    }
    #[inline]
    pub fn requested_limit(&self) -> i32 {
        self.requested_limit
    }
    #[inline]
    pub fn allowed_limit(&self) -> i32 {
        self.allowed_limit
    }
}
impl conjure_error::ErrorType for SearchUsersLimitExceeded {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Authentication:SearchUsersLimitExceeded"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["allowedLimit", "requestedLimit"]
    }
}
